import json
import datetime


class Generator:
    def __init__(self, vst, preset):
        self.vst = vst
        self.preset = preset


class Effect:
    def __init__(self, vst, preset):
        self.vst = vst
        self.preset = preset


class Data:
    def __init__(self, file, generator, effects):
        self.file = file
        self.generator = generator
        self.effects = effects


class Pipeline:
    def __init__(self, id, bpm, data):
        self.id = id
        self.bpm = bpm
        self.data = data


class PipelineFile:
    def __init__(self, id, org_folder, time, pipelines):
        self.id = id
        self.time = time
        self.org_folder = org_folder
        self.pipelines = pipelines


class PipelineFileEncoder(json.JSONEncoder):
    def default(self, o):
        return o.__dict__